beribuku_app/urls.py
from django.conf import settings
from django.conf.urls import *
from django.conf.urls.static import static
from django.contrib import admin
from django.contrib.auth.views import login, logout
from rest_framework import routers
from beribuku_app.views.user.utils import FotoProgramViewSet
from beribuku_app.views.user import index as user_index
from beribuku_app.views.user import program as user_program
from beribuku_app.views.admin import donasi as admin_donasi
from beribuku_app.views.admin import donatur as admin_donatur
from beribuku_app.views.admin import laporan as admin_laporan
from beribuku_app.views.admin import login as admin_login
from beribuku_app.views.admin import main as admin_main
from beribuku_app.views.admin import master as admin_master
from beribuku_app.views.admin import program as admin_program

router = routers.DefaultRouter()
router.register(r'fotos', FotoProgramViewSet)

handler404 = 'beribuku_app.controller.user.index.handler404'

urlpatterns = [
                  url(r'^$', user_index.index, name='user-index'),
                  url(r'^home/', user_index.home, name='user-home'),
                  url(r'^donasi/', user_index.donasi, name='user-donasi'),
                  url(r'^blog/', user_index.blog, name='user-blog'),
                  # url(r'^authenticate/$', beribuku_app.controller.user.index.authenticate, name='authenticate'),
                  # url(r'^proyek/', beribuku_app.controller.user.program.index, name='program'),
                  url(r'^proyek/(?P<id>\d+)/$', user_program.detil, name='program.detil'),
                  url(r'^daftar-proyek/$', user_program.all, name='program-all'),
                  #
                  url(r'^about/', user_index.about, name='user-about'),
                  url(r'^tim/', user_index.tim, name='user-tim'),
                  # url(r'^contact/', beribuku_app.controller.user.index.contact, name='contact'),
                  # url(r'^addDonatur/$', beribuku_app.controller.user.index.addDonatur, name='user.donatur.new'),
                  # url(r'^subscribe/$', beribuku_app.controller.user.index.subscribe, name='user.subscribe'),
                  #
                  url(r'^administration/', include(admin.site.urls)),
                  # url(r'^logout/$', logout, {'next_page': '/admin/login/'}, name='logout'),
                  #
                  # # url admin
                  #
                  url(r'^admin/login/', login, name='admin.login'),
                  #
                  url(r'^admin/logout/', admin_login.logout, name='admin.logout'),

                  url(r'^admin/home/', admin_main.home, name='admin.home'),

                  url(r'^admin/master/', admin_master.index, name='admin.master'),
                  url(r'^admin/newTim/', admin_master.addNewTim, name='admin.master.new'),
                  url(r'^admin/editTim/$', admin_master.editTim, name='admin.master.tim.edit'),
                  url(r'^admin/timDelete/$', admin_master.deleteTim,
                      name='admin.master.deleteTim'),

                  url(r'^admin/newRekening/', admin_master.addNewRekening,
                      name='admin.master.newRekening'),
                  url(r'^admin/editRekening/$', admin_master.editRekening,
                      name='admin.master.rekening.edit'),
                  url(r'^admin/rekDelete/$', admin_master.deleteRekening,
                      name='admin.master.deleteRekening'),

                  url(r'^admin/newAbout/', admin_master.addNewAbout,
                      name='admin.master.newAbout'),
                  url(r'^admin/aboutDelete/$', admin_master.deleteAbout,
                      name='admin.master.deleteAbout'),

                  url(r'^admin/mail/lpj/(?P<programId>\d+)/$', admin_main.mail_lpj,
                      name='admin.mail.lpj'),
                  url(r'^admin/mail/proposal/(?P<programId>\d+)/$', admin_main.mail_proposal,
                      name='admin.mail.proposal'),

                  url(r'^admin/program/$', admin_program.index, name='admin.program'),
                  url(r'^admin/program/(?P<alert>True)/(?P<alert_msg>.*)/$',
                      admin_program.index, name='admin.program.alert'),
                  url(r'^admin/new/', admin_program.addNewProgram, name='admin.program.new'),
                  url(r'^admin/view/$', admin_program.viewProgram, name='admin.program.view'),
                  url(r'^admin/delete/$', admin_program.deleteProgram,
                      name='admin.program.delete'),
                  url(r'^admin/edit/$', admin_program.editProgram, name='admin.program.edit'),
                  url(r'^admin/exceldonatur/(?P<programId>\d+)/$',
                      admin_program.downloadExcelDonatur, name='admin.program.exceldonatur'),
                  url(r'^admin/word/(?P<programId>\d+)/$', admin_program.downloadWord,
                      name='admin.program.word'),

                  url(r'^admin/donatur/$', admin_donatur.index, name='admin.donatur'),
                  url(r'^admin/donatur/(?P<alert>True)/(?P<alert_msg>.*)/$',
                      admin_donatur.index, name='admin.donatur'),
                  url(r'^admin/addDonatur/$', admin_donatur.addDonatur,
                      name='admin.donatur.new'),
                  url(r'^admin/addDonatur/(?P<programId>\d+)/$', admin_donatur.addSpecDonatur,
                      name='admin.donatur.newspec'),
                  url(r'^admin/deleteDonatur/$', admin_donatur.deleteDonatur,
                      name='admin.donatur.delete'),
                  url(r'^admin/editDonatur/$', admin_donatur.editDonatur,
                      name='admin.donatur.edit'),

                  url(r'^admin/donasi/new/(?P<programId>\d+)/$', admin_donasi.addDonasi,
                      name='admin.donasi.new'),

                  url(r'^admin/donasi/uang/view/(?P<programId>\d+)/$',
                      admin_donasi.viewDonasiUang, name='admin.donasi.uang.view'),
                  url(r'^admin/donasi/uang/view/(?P<programId>\d+)/(?P<alert>True)/(?P<alert_msg>.*)/$',
                      admin_donasi.viewDonasiUang, name='admin.donasi.uang.view'),
                  url(r'^admin/donasi/uang/delete/(?P<donasi_id>\d+)/$',
                      admin_donasi.deleteDonasiUang, name='admin.donasi.uang.delete'),
                  url(r'^admin/donasi/uang/edit/(?P<donasi_id>\d+)/$',
                      admin_donasi.editDonasiUang, name='admin.donasi.uang.edit'),

                  url(r'^admin/donasi/buku/view/(?P<programId>\d+)/$',
                      admin_donasi.viewDonasiBuku, name='admin.donasi.buku.view'),
                  url(r'^admin/donasi/buku/view/(?P<programId>\d+)/(?P<alert>True)/(?P<alert_msg>.*)/$',
                      admin_donasi.viewDonasiBuku, name='admin.donasi.buku.view'),
                  url(r'^admin/donasi/buku/delete/(?P<donasi_id>\d+)/$',
                      admin_donasi.deleteDonasiBuku, name='admin.donasi.buku.delete'),
                  url(r'^admin/donasi/buku/edit/(?P<donasi_id>\d+)/$',
                      admin_donasi.editDonasiBuku, name='admin.donasi.buku.edit'),

                  url(r'^admin/donasi/excel/new/(?P<programId>\d+)/$',
                      admin_donasi.addDonasiExcel, name='admin.donasi.new.excel'),

                  url(r'^admin/laporan/$', admin_laporan.index, name='admin.laporan.index'),
                  url(r'^admin/laporan/realisasi/(?P<programId>\d+)/$',
                      admin_laporan.addKeteranganLaporan, name='admin.laporan.add.keterangan'),
                  url(r'^admin/addLaporan/$', admin_laporan.addLaporan,
                      name='admin.laporan.new'),

              ] + static(settings.STATIC_URL, document_root=settings.STATIC_PATH)

beribuku_com/urls.py
from django.conf import settings
from django.conf.urls import *
from django.conf.urls.static import static
from django.contrib import admin
from rest_framework import routers

from beribuku_app.views.user.utils import FotoProgramViewSet

router = routers.DefaultRouter()
router.register(r'fotos', FotoProgramViewSet)

handler404  = 'beribuku_app.controller.user.index.handler404'

urlpatterns = [

    url(r'^', include('beribuku_app.urls', namespace='beribuku_app')),
    url(r'^simple-blog/', include('article.urls')),
    url(r'^administration/', include(admin.site.urls)),
        
]

beribuku_app/models.py
from django.db import models
from django.core.validators import RegexValidator
from django import forms
from functools import partial
from django.forms.extras.widgets import SelectDateWidget

from django.utils import timezone

import datetime

# Create your models here.

DateInput = partial(forms.DateInput, {'class': 'datepicker'})

class Nama(models.Model):
	alphanumeric = RegexValidator(r'^[a-zA-Z]*$', 'Only alphanumeric characters are allowed.')
	namaDepan = models.CharField(max_length=100, validators=[alphanumeric])
	namaBelakang = models.CharField(max_length=100)

class Akun(models.Model):
	
	username = models.CharField(max_length=100)
	password = models.CharField(max_length=100)

class Program(models.Model):
	nama = models.CharField(max_length=200)
	deskripsi = models.TextField()
	target = models.CharField(max_length=200)
	partner = models.CharField(max_length=200)
	logoPartner = models.FileField(upload_to='static/images/logo')

	def __str__(self):
		return '%s. %s' % (self.id, self.nama)

	@property
	def foto_first(self):
		fotos = self.fotoprogram_set.all()
		if len(fotos) > 0:
			return fotos[0]
		else:
			return None

class FotoProgram(models.Model):
	program = models.ForeignKey('Program')
	gambar = models.FileField(upload_to='static/images/proyek')
	caption = models.CharField(max_length=250, default="")

class Barang(models.Model):
	program = models.ForeignKey('Program')
	nama = models.CharField(max_length=200)
	jumlah = models.CharField(max_length=100, null=True)

class Rekening(models.Model):
	nama = models.CharField(max_length=50)
	noRekening = models.CharField(max_length=50)
	bank = models.CharField(max_length=200)

class Donasi(models.Model):
	program = models.ForeignKey('Program')
	rekening = models.ForeignKey('Rekening')
	deadline = models.DateField()

	def belum_lewat_deadline(self):
		return self.deadline >= datetime.date.today()
 
class Donatur(models.Model):
	program = models.ForeignKey('Program')
	nama = models.CharField(max_length=50)
	email = models.CharField(max_length=50, null=True)
	nohp = models.CharField(max_length=15, null=True)

class Tim(models.Model):
	nama = models.CharField(max_length=50)
	email = models.CharField(max_length=50)
	jabatan = models.CharField(max_length=200)
	foto = models.FileField(upload_to='static/images/tim')

class About(models.Model):
	judul = models.CharField(max_length=100)
	deskripsi = models.CharField(max_length=1200)

class Laporan(models.Model):
	keterangan = models.TextField(null=True)
	program = models.ForeignKey('Program')

class Laporan_temp(models.Model):
	filecontent = models.FileField(upload_to='static/files')

class Laporan_item(models.Model):
	laporan = models.ForeignKey('Laporan')
	keterangan = models.CharField(max_length=1000)
	nominal = models.IntegerField()
	isDebit = models.BooleanField()
	isKredit = models.BooleanField()

class Test(models.Model):
	a = models.IntegerField()

class Donasi_donatur(models.Model):
	donatur = models.ForeignKey('Donatur')
	tanggal = models.DateField()
	konfirmasi = models.BooleanField()
	via = models.CharField(max_length=50, null=True)

class Donasi_uang(models.Model):
	jenis = 'uang'
	donasi_donatur = models.ForeignKey('Donasi_donatur')
	bank = models.CharField(max_length=50, null=True)
	jumlah_uang = models.IntegerField()
	bukti_transfer = models.FileField(upload_to='static/foto/bukti_transfer')

class Donasi_buku(models.Model):
	jenis = 'buku'
	donasi_donatur = models.ForeignKey('Donasi_donatur')
	keterangan = models.CharField(max_length=500, null=True)

class FileMailTemp(models.Model):
	fileUpload = models.FileField(upload_to='static/files')

class Subscriber(models.Model):
	date = models.DateTimeField()
	phone = models.IntegerField()
	email = models.EmailField()

beribuku_app/views/validator.py
import re, html

def escape(s):
	return html.escape(s).strip()

def escape_list(l):
	escaped = []
	print(len(l))
	for i in range(len(l)):
		escaped.append(html.escape(l[i]).strip())

	return escaped

def is_empty(s):
	return s == None or s == ''

def is_number(s):
	try:
		float(s)
		return True
	except ValueError:
		return False

def is_email(s):
	try:
		if re.match(r"[^@]+@[^@]+\.[^@]+", s):
			return True
		else:
			return False
	except:
		return False

def is_image(f):
	try:
		print(f)
		mime =  f.split('/')[0] == 'image'
		print(mime)
		ext = f.split('/')[1] == 'jpg' or f.split('/')[1] == 'png' or f.split('/')[1] == 'gif' or f.split('/')[1] == 'jpeg'
		print(ext)
		return mime and ext
	except Exception as e:
		print(e)
		return False

beribuku_app/templates/berhasil.html
	{% include "header.html" %}
		{% load static %}
		{% load set_var %}
		<div class="body">
			<div class="container program-frame">			
				<div class="left col-md-3">

					<div class="second-nav">
						<ul>
							<li><a href="{% url 'home' %}"><img src="{% static 'images/home.png' %}">Home</a></li>
							<li><a href="{% url 'program' %}"><img src="{% static 'images/program.png' %}">Proyek</a></li>
							<li><a href="{% url 'about' %}"><img src="{% static 'images/tim.png' %}">About</a></li>
							<li><a href="{% url 'tim' %}"><img src="{% static 'images/about.png' %}">Tim</a></li>
							<li><a href="{% url 'contact' %}"><img src="{% static 'images/contact.png' %}">Contact</a></li>
						</ul>
						{% include "developer.html" %}
					</div>
				</div>
				<div class="right-section col-md-9">
					<div class="program">
						<div class="title-page col-md-12">
							<div class="col-md-4">Konfirmasi Donatur</div>
						</div>
						<div class="content col-md-12">
							
							<div class="alert alert-success alert-dismissible" role="alert">Berhasil mengkonfirmasi donatur <strong>{{ nama }}</strong></div>

						</div>	
					</div>
				</div>
			</div>

		</div>
	{% include "footer.html" %}

beribuku_app/templates/developer.html
{% load static %}
<!-- <div class="developer">
	<div class="footer" style="text-align: left;padding:30px;">
		Developed and Powered by FMSE Lab<br />
		FMSE Lab tidak bertanggung jawab atas konten yang ditampilkan, seluruh konten disediakan oleh pihak BeriBuku<br />
		&copy; 2015 <a href="http://fmse.cs.ui.ac.id" target="_blank">FMSE Lab</a>
		</div>
</div> -->

beribuku_app/templates/header.html
<!doctype html>

{% load static %}
<html>
<head>
    <title>{{title}} | BeriBuku</title>
    
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'css/full-slider.css' %}">

    <script type="text/javascript" src="{% static 'js/jquery-1.10.2.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/bootstrap.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/jquery.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/script.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/tinymce/tinymce.min.js' %}"></script>
    <script type="text/javascript">var switchTo5x=true;</script>
    <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
    <script type="text/javascript">stLight.options({publisher: "1df9b28e-9bb1-46a7-9e87-f19ff970f804", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>

</head>
<body>
    <!-- Go to www.addthis.com/dashboard to customize your tools -->
<!-- Go to www.addthis.com/dashboard to customize your tools -->
<!-- Go to www.addthis.com/dashboard to customize your tools -->
<!-- Go to www.addthis.com/dashboard to customize your tools -->
<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-548988e017c5acdb" async="async"></script>
    <div class="frame">
        <div class="header">
            <div class="first-nav">
                <div class="container">
                <a href="{% url 'home' %}"><img src="{% static 'images/logo.jpg' %}" class="img-table pull-left"></a>
                    <ul>
                        <!-- <li class="login"><a href="#" data-toggle="modal" data-target="#confirm-donate">Konfirmasi Donasi</a></li> -->
                        <li><a class="loginButton" href="{% url 'admin.login' %}">{% if login %} Halaman Admin {% else %} Login {% endif %}</a></li>
                    </ul>

                    <div id="confirm-donate" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">

                          <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title">Konfirmasi Donatur</h4>
                          </div>

                          <div class="modal-body">
                            <p>Jika anda menjadi donatur dan sudah mentrasfer donasi anda untuk proyek kami yang sedang aktif  silahkan isi form berikut untuk konfirmasi</p>

                            <form enctype="multipart/form-data" action="{% url 'user.donatur.new' %}" method="POST">
                            {% csrf_token %}
                              <div class="form-group">
                                <label>Proyek</label>
                                <select name="program" class="form-control" required>
                                    {% for prg in program %}
                                    {% for donasi in prg.donasi_set.all %}
                                    {% if donasi.belum_lewat_deadline %}
                                    <option value="{{ prg.id }}"> {{ prg.nama }} </option>
                                    {% endif %}
                                    {% endfor %}
                                    {% endfor %}
                                </select>
                              </div>

                              <div class="form-group">
                                <label>Nama</label>
                                <input type="text" name="nama" class="form-control" placeholder="masukkan nama anda" required>
                              </div>
                                
                              <div class="form-group">
                                <label>Email</label>
                                <input type="text" name="email" class="form-control" placeholder="masukkan email anda" required>
                              </div>

                              <div class="form-group">
                                <label for="exampleInputAmount">No. Handphone</label>
                                <div class="input-group">
                                  <div class="input-group-addon">+62</div>
                                  <input type="text" name="nohp" class="form-control" id="exampleInputAmount" placeholder="" required>
                                </div>
                                <p class="help-block">Tulis tanpa '0' didepannya (contoh : 82232120000)</p>
                              </div>

                              <div class="form-group">
                                <label>Bukti Transfer</label>
                                <input type="file" name="buktitransfer" required>
                                <p class="help-block">Unggah file gambar dengan jenis jpg, png, atau gif</p>
                              </div>

                                <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
                                <input type="submit" value="Submit" class="btn btn-primary" />
                            </form>

                          </div>
                        </div>
                      </div>
                    </div>

                </div>
            </div>
        </div>

beribuku_app/templates/header2.html
<!doctype html>

{% load static %}
<html>
<head>
    <title>BeriBuku | {{title}} </title>
    
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
    
    <!-- <link rel="stylesheet" href="{% static 'css/style.css' %}"> -->
    <link rel="stylesheet" type="text/css" href="{% static 'css/full-slider.css' %}">

    <link rel="shortcut icon" href="{% static 'images/logoTab.png' %}"/>

    <script type="text/javascript" src="{% static 'js/jquery-1.10.2.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/bootstrap.js' %}"></script>
    
    <script type="text/javascript">var switchTo5x=true;</script>
    <script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>
    <script type="text/javascript">stLight.options({publisher: "1df9b28e-9bb1-46a7-9e87-f19ff970f804", doNotHash: false, doNotCopy: false, hashAddressBar: false});</script>
    <script>
(function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date(); a = s.createElement(o),
        m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
        })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

        ga('create', 'UA-45690170-1', 'jssor.com');
        ga('require', 'displayfeatures');
        ga('send', 'pageview');
</script>

</head>
<body>
    <!-- Go to www.addthis.com/dashboard to customize your tools -->
<!-- Go to www.addthis.com/dashboard to customize your tools -->
<!-- Go to www.addthis.com/dashboard to customize your tools -->
<!-- Go to www.addthis.com/dashboard to customize your tools -->
<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-548988e017c5acdb" async="async"></script>

    <nav class="navbar navbar-fixed-top navbar-inverse" role="navigation">
        <div class="container">
            <div class="navbar-header fontBlack">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="{% url 'beribuku_app:user-home' %}"><img src="{% static 'images/logo.png' %}"></a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse navbar-ex1-collapse">
                <ul class="nav navbar-nav">
                    <li><a href="{% url 'beribuku_app:program-all' %}" class="{{ aktif_proyek }}">Proyek</a>
                    </li>
                    <li><a href="{% url 'beribuku_app:user-about' %}" class="{{ aktif_about }}">About</a>
                    </li>
                    <li><a href="{% url 'beribuku_app:user-tim' %}" class="{{ aktif_tim }}">Tim</a>
                    </li>                    
                    <li><a href="{% url 'beribuku_app:admin.login' %}" class="{{ aktif_login }}">Login</a>
                    </li>
                </ul>

            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container -->
    </nav>

beribuku_app/templates/newDonatur.html
	{% include "header.html" %}
		{% load static %}
		{% load set_var %}
		<div class="body">
			<div class="container program-frame">			
				<div class="left col-md-3">

					<div class="second-nav">
						<ul>
							<li><a href="{% url 'home' %}"><img src="{% static 'images/home.png' %}">Home</a></li>
							<li><a href="{% url 'program' %}"><img src="{% static 'images/program.png' %}">Proyek</a></li>
							<li><a href="{% url 'about' %}"><img src="{% static 'images/tim.png' %}">About</a></li>
							<li><a href="{% url 'tim' %}"><img src="{% static 'images/about.png' %}">Tim</a></li>
							<li><a href="{% url 'contact' %}"><img src="{% static 'images/contact.png' %}">Contact</a></li>
						</ul>
						{% include "developer.html" %}
					</div>
				</div>
				<div class="right-section col-md-9">
					<div class="program">
						<div class="title-page col-md-12">
							<div class="col-md-4">Konfirmasi Donatur</div>
						</div>
						{% if error %}
							<div class="alert alert-danger alert-dismissible" role="alert">
							<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Terdapat kesalahan dalam pengisian sebagai berikut :
							<ul>
								{% for item in error %}
								<li>{{ item }}</li>
								{% endfor %}
							</ul>
							</div>
						{% endif %}
						
						<div class="content col-md-12">
							<form enctype="multipart/form-data" action="{% url 'user.donatur.new' %}" method="POST">
                            {% csrf_token %}
                              <div class="form-group">
                                <label>Proyek</label>
                                <select name="program" class="form-control" required>
                                    {% for prg in program %}
                                    {% for donasi in prg.donasi_set.all %}
                                    {% if donasi.belum_lewat_deadline %}
                                    <option value="{{ prg.id }}"> {{ prg.nama }} </option>
                                    {% endif %}
                                    {% endfor %}
                                    {% endfor %}
                                </select>
                              </div>

                              <div class="form-group">
                                <label>Nama</label>
                                <input type="text" name="nama" class="form-control" placeholder="masukkan nama anda" required>
                              </div>
                                
                              <div class="form-group">
                                <label>Email</label>
                                <input type="email" name="email" class="form-control" placeholder="masukkan email anda" required>
                              </div>

                              <div class="form-group">
                                <label for="exampleInputAmount">No. Handphone</label>
                                <div class="input-group">
                                  <div class="input-group-addon">+62</div>
                                  <input type="text" name="nohp" class="form-control" id="exampleInputAmount" placeholder="" required>
                                </div>
                                <p class="help-block">Tulis tanpa '0' didepannya (contoh : 82232120000)</p>
                              </div>

                              <div class="form-group">
                                <label>Bukti Transfer</label>
                                <input type="file" name="buktitransfer" required>
					    		<p class="help-block">Unggah file gambar dengan jenis jpg, png, atau gif</p>
                              </div>

                                <input type="submit" value="Submit" class="btn btn-primary" />
                            </form>
						</div>	
					</div>
				</div>
			</div>

		</div>
	{% include "footer.html" %}

beribuku_app/templates/program.html
	{% include "header.html" %}
		{% load static %}
		{% load set_var %}
		<div class="body">
			<div class="container program-frame">			
				<div class="left col-md-3">

					<div class="second-nav">
						<ul>
							<li><a href="{% url 'home' %}"><img src="{% static 'images/home.png' %}">Home</a></li>
							<li  class="active" ><a href="{% url 'program' %}"><img src="{% static 'images/program-active.png' %}">Proyek</a></li>
							<li><a href="{% url 'about' %}"><img src="{% static 'images/tim.png' %}">About</a></li>
							<li><a href="{% url 'tim' %}"><img src="{% static 'images/about.png' %}">Tim</a></li>
							<li><a href="{% url 'contact' %}"><img src="{% static 'images/contact.png' %}">Contact</a></li>
						</ul>
						{% include "developer.html" %}
					</div>
				</div>
				<div class="right-section col-md-9">
					<div class="program">
						<div class="title-page col-md-12">
							<div class="col-md-4">Proyek</div>
						</div>
						
						<div class="content col-md-12" style="margin-bottom: 50px">
							<h3>Proyek Saat Ini</h3>
								{% for program in program %}
								{% if forloop.counter < 3%}
									{% set flag = True %}
									{% for donasi in program.donasi_set.all %}
                                		{% if donasi.belum_lewat_deadline %}
											{% for foto in program.fotoprogram_set.all %}		
												{% if flag %}
													<a href="/detil/?programId={{ program.id }}" class="proyek-choose">
													<div class="row sample-program">
														<div class="col-md-4">
																<img class="img-responsive" src="../../{{ foto.gambar }}" style="height:200px">
														</div>

														<div class="col-md-8">
															<h2>{{ program.nama }}</h2>
															<p>{{ program.deskripsi|truncatewords:30 }}</p>
														</div>
													</div>
													</a>
													{% set flag = False %}
												{% endif %}
											{% endfor%}
										{% endif %}
									{% endfor%}
									{% endif %}
								{% endfor%}
                          </div>
                          
						<div class="content col-md-12">
							<h3>Proyek Yang Sudah Selesai</h3>
							{% for program in program %}
								{% set flag = True %}
								{% for foto in program.fotoprogram_set.all %}	
									{% if flag %}

										{% for donasi in program.donasi_set.all %}
                                    		{% if not donasi.belum_lewat_deadline %}
										<a href="/detil/?programId={{ program.id }}" class="proyek-choose"><div class="sample-program col-md-4">
											<img class="img-responsive" src="../../{{ foto.gambar }}" style="height:200px">
											
											<div class="title">{{ program.nama }}</div>
										</div></a>
											{% endif %}
										{% endfor %}

										{% set flag = False %}
									{% endif %}
								{% endfor%}
							{% endfor%}
						</div>	
						
					</div>

				</div>

			</div>

	{% include "footer.html" %}
		</div>

beribuku_app/templates/test.html
{% load static %}

<html>

<head>
	<link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
	<link rel="stylesheet" href="{% static 'css/style.css' %}">
</head>
<body>
	<p class="test">HALOOOOOOOO</p>
</body>
</html>